<?php


class CatTable extends Doctrine_Table
{
    
    /**
     * @return CatTable
     */
    public static function getInstance()
    {
        return Doctrine_Core::getTable('Cat');
    }
    
    public function findAllForOneS($params = array(), $hydrationMode = null)
    {
        return $this->createQuery()
            ->select('cp.*, cp.inner_id as cp_index')
            ->from('Cat cp INDEXBY cp_index')
            ->where('inner_id is not null')
            ->execute($params, $hydrationMode);
            
    }
}